| All Verbs | /RestApi/search/settings | ||
|---|---|---|---|
| GET | /RestApi/search/settings |
"use strict";
export class SettingsRequest {
/** @param {{IndexId?:string,SuggestionFields?:string,SectionName?:string,Text?:string,Take?:number,Skip?:number}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
IndexId;
/** @type {string} */
SuggestionFields;
/** @type {string} */
SectionName;
/** @type {string} */
Text;
/** @type {number} */
Take;
/** @type {number} */
Skip;
}
export class SettingsResponse {
/** @param {{Results?:SettingDto[]}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {SettingDto[]} */
Results;
}
export class SettingDto {
/** @param {{Title?:string,SectionName?:string,FullSettingName?:string,Path?:string[],VisiblePath?:string,FullPath?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
Title;
/** @type {string} */
SectionName;
/** @type {string} */
FullSettingName;
/** @type {string[]} */
Path;
/** @type {string} */
VisiblePath;
/** @type {string} */
FullPath;
}
JavaScript SettingsRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/search/settings HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<SettingsRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Search.Impl.Services.DTO">
<IndexId>00000000-0000-0000-0000-000000000000</IndexId>
<SectionName>String</SectionName>
<Skip>0</Skip>
<SuggestionFields>String</SuggestionFields>
<Take>0</Take>
<Text>String</Text>
</SettingsRequest>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<SettingsResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Search.Impl.Services.DTO">
<Results>
<SettingDto>
<FullPath>String</FullPath>
<FullSettingName>String</FullSettingName>
<Path xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" />
<SectionName>String</SectionName>
<Title>String</Title>
<VisiblePath>String</VisiblePath>
</SettingDto>
</Results>
</SettingsResponse>